https://github.com/grpc/grpc/pull/33361

From 117dc80eb43021dd5619023ef6d02d0d6ec7ae7a Mon Sep 17 00:00:00 2001
From: Carlo Cabrera <30379873+carlocab@users.noreply.github.com>
Date: Wed, 7 Jun 2023 13:06:49 +0800
Subject: [PATCH] [Build] fix `gRPCConfig.cmake`

Without this change, calling `find_package(gRPC REQUIRED)` errors out
with

    CMake Error at /opt/homebrew/lib/cmake/grpc/gRPCConfig.cmake:8 (find_dependency):
      Unknown CMake command "find_dependency".

The issue is that `find_dependency` is provided by the
`CMakeFindDependencyMacro` module[^1], so we need to `include` it before
use.

[^1]: https://cmake.org/cmake/help/v3.26/module/CMakeFindDependencyMacro.html
--- a/cmake/protobuf.cmake
+++ b/cmake/protobuf.cmake
@@ -86,6 +86,6 @@ elseif(gRPC_PROTOBUF_PROVIDER STREQUAL "package")
         set(_gRPC_PROTOBUF_PROTOC_EXECUTABLE ${PROTOBUF_PROTOC_EXECUTABLE})
       endif()
     endif()
-    set(_gRPC_FIND_PROTOBUF "find_dependency(Protobuf CONFIG)")
+    set(_gRPC_FIND_PROTOBUF "include(CMakeFindDependencyMacro)\nfind_dependency(Protobuf CONFIG)")
   endif()
 endif()

